{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/internal_account_user/create') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/internal_account_user/create') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_internal_account_user_overview', fetch_merged_url_parameters_by_session_key_name('internalAccountUserOverview')) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Nutzer:in anlegen</span>
        {{ form_widget(internalAccountUserForm.save, {'label': 'EINLADUNG SENDEN', 'id': internalAccountUserForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        {% if submitResponse is not empty %}
            {% include 'component/alert_notification_component.html.twig' with {
                'success': submitResponse.0.success,
                'message': submitResponse.0.message,
                'errors': submitResponse.0.errors
            } only %}
        {% endif %}
        {{ form_start(internalAccountUserForm, {'attr': {'id': internalAccountUserForm.vars.id ~ '_form'}}) }}
        <div class="mdc-card mb-4 px-4 py-3">
            {% include 'configuration/form/internal_account_user/internal_account_user_form.html.twig' with {'form': internalAccountUserForm} only %}
        </div>
        <div class="mdc-card mb-4">
            <div class="p-4">
                <div class="d-flex">
                    <h2 class="ms-0">Benutzer-Rollen</h2>
                    <div class="ms-auto">
                        {% include 'component/mdc_context_menu_component.html.twig' with {
                            'id': 'user_roles_overview_document',
                            'listItems': [
                                {
                                    'label': 'Übersicht der Nutzerrollen als PDF',
                                    'url': path('configuration_internal_account_user_user_roles_overview_document'),
                                    'icon': 'picture_as_pdf'
                                }
                            ]
                        } only %}
                    </div>
                </div>
                {% for role in internalAccountUserForm.roles %}
                    <div class="role-container">
                        {{ form_row(role) }}
                        <p class="role-description">{{ constant('App\\Domain\\Entity\\AccountUser\\AccountUserRole::' ~ role.vars.value).getDescription() }}</p>
                    </div>
                {% endfor %}
            </div>
        </div>
        {{ form_row(internalAccountUserForm._token) }}
        {{ form_end(internalAccountUserForm, {'render_rest': false}) }}
    </div>
{% endblock %}
